import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import piniaStore from "./store";
import register from "./components/register";
import V3DragZoom from "v3-drag-zoom";
import { message, notification, Modal } from "@qmth/ui";
import "@qmth/ui/lib/style.css";
import "v3-drag-zoom/dist/style.css";
import "virtual:uno.css";
import "./styles/index.less";
import "./ap/mock/index.ts";

window.$message = message;
window.$notification = notification;
window.$info = Modal.info;
window.$success = Modal.success;
window.$error = Modal.error;
window.$warning = Modal.warning;
window.$confirm = Modal.confirm;
window.$destroyAll = Modal.destroyAll;

const app = createApp(App);

app.use(router).use(piniaStore).use(register).use(V3DragZoom);
app.mount("#app");
