import { RouteRecordRaw } from "vue-router";
import Layout from "@/Layout/index.vue";
const routes: RouteRecordRaw[] = [
  {
    path: "/",
    name: "Login",
    component: () => import("@/views/Login/index.vue"),
  },
  {
    path: "/layout",
    name: "Layout",
    component: Layout,
    meta: {
      title: "首页",
    },
    children: [
      {
        path: "cur-exam",
        name: "CurExam",
        component: () => import("@/views/CurExam/index.vue"),
        meta: {
          title: "当前考试信息",
        },
      },
      {
        path: "base-data-config",
        name: "BaseDataConfig",
        component: () => import("@/views/BaseDataConfig/index.vue"),
        meta: {
          title: "基础数据配置",
        },
      },
      {
        path: "result-export",
        name: "ResultExport",
        component: () => import("@/views/ResultExport/index.vue"),
        meta: {
          title: "结果导出",
        },
      },
    ],
  },
];
export default routes;
